/*
 * Please do not edit this file.
 * It was generated using rpcgen.
 */

#include "../../source3/modules/nfs41acl.h"

bool_t
xdr_utf8string (XDR *xdrs, utf8string *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_bytes (xdrs, (char **)&objp->utf8string_val, (u_int *) &objp->utf8string_len, ~0))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_utf8str_mixed (XDR *xdrs, utf8str_mixed *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_utf8string (xdrs, objp))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_acetype4 (XDR *xdrs, acetype4 *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_u_int (xdrs, objp))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_aceflag4 (XDR *xdrs, aceflag4 *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_u_int (xdrs, objp))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_aceiflag4 (XDR *xdrs, aceiflag4 *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_u_int (xdrs, objp))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_acemask4 (XDR *xdrs, acemask4 *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_u_int (xdrs, objp))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_nfsace4 (XDR *xdrs, nfsace4 *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_acetype4 (xdrs, &objp->type))
		 return FALSE;
	 if (!xdr_aceflag4 (xdrs, &objp->flag))
		 return FALSE;
	 if (!xdr_aceiflag4 (xdrs, &objp->iflag))
		 return FALSE;
	 if (!xdr_acemask4 (xdrs, &objp->access_mask))
		 return FALSE;
	 if (!xdr_u_int (xdrs, &objp->who))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_aclflag4 (XDR *xdrs, aclflag4 *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_u_int (xdrs, objp))
		 return FALSE;
	return TRUE;
}

bool_t
xdr_nfsacl41 (XDR *xdrs, nfsacl41 *objp)
{
	register int32_t *buf = buf;

	 if (!xdr_aclflag4 (xdrs, &objp->na41_flag))
		 return FALSE;
	 if (!xdr_array (xdrs, (char **)&objp->na41_aces.na41_aces_val, (u_int *) &objp->na41_aces.na41_aces_len, ~0,
		sizeof (nfsace4), (xdrproc_t) xdr_nfsace4))
		 return FALSE;
	return TRUE;
}
